Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.trees
Class JTreeAPIDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.trees.JTreeAPIDriver

All Implemented Interfaces:
  LightDriver, ListDriver, MultiSelListDriver, TreeDriver

public class JTreeAPIDriver
extends LightSupportiveDriver
implements TreeDriver

TreeDriver for javax.swing.JTree component type. Uses API calls.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`JTreeAPIDriver()` Constructs a JTreeAPIDriver.

Method Summary
`void` | `collapseItem(ComponentOperator oper, int index)` Collapses a node.
`void` | `editItem(ComponentOperator oper, int index, java.lang.Object newValue, Timeout waitEditorTime)` Edits a node.
`void` | `expandItem(ComponentOperator oper, int index)` Expandes a node.
`void` | `selectItem(ComponentOperator oper, int index)` Selects an item.
`void` | `selectItems(ComponentOperator oper, int[] indices)` Selects some items.
`void` | `startEditing(ComponentOperator oper, int index, Timeout waitEditorTime)` Starts node editing.

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTreeAPIDriver

    public JTreeAPIDriver()

  Constructs a JTreeAPIDriver.

Method Detail

### selectItem

    public void selectItem(ComponentOperator oper,
                           int index)

  Description copied from interface: `ListDriver`
  Selects an item.
  Specified by:
    `selectItem` in interface `ListDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.ListDriver`
  Parameters:
    `oper` - List operator.
    `index` - Item index.

### selectItems

    public void selectItems(ComponentOperator oper,
                            int[] indices)

  Description copied from interface: `MultiSelListDriver`
  Selects some items.
  Specified by:
    `selectItems` in interface `MultiSelListDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.MultiSelListDriver`
  Parameters:
    `oper` - List operator.
    `indices` - Item indices.

### expandItem

    public void expandItem(ComponentOperator oper,
                           int index)

  Description copied from interface: `TreeDriver`
  Expandes a node.
  Specified by:
    `expandItem` in interface `TreeDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TreeDriver`
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.

### collapseItem

    public void collapseItem(ComponentOperator oper,
                             int index)

  Description copied from interface: `TreeDriver`
  Collapses a node.
  Specified by:
    `collapseItem` in interface `TreeDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TreeDriver`
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.

### editItem

    public void editItem(ComponentOperator oper,
                         int index,
                         java.lang.Object newValue,
                         Timeout waitEditorTime)

  Description copied from interface: `TreeDriver`
  Edits a node.
  Specified by:
    `editItem` in interface `TreeDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TreeDriver`
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.
    `newValue` - New node value
    `waitEditorTime` - Time to wait node editor.

### startEditing

    public void startEditing(ComponentOperator oper,
                             int index,
                             Timeout waitEditorTime)

  Description copied from interface: `TreeDriver`
  Starts node editing.
  Specified by:
    `startEditing` in interface `TreeDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TreeDriver`
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.
    `waitEditorTime` - Time to wait node editor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD